## xmms2-scrobbler 0.4.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 CFLAGS += -std=gnu99 -Wall -Wwrite-strings -pthread
+ENDIAN_CFLAGS=
 PREFIX ?= /usr/local
 
-VERSION := 0.3.0
+VERSION := 0.4.0
 TARBALL := xmms2-scrobbler-$(VERSION).tar.gz
 
 XMMS_CFLAGS := `pkg-config xmms2-client --cflags`
@@ -15,8 +16,16 @@
 	QUIET_MKDIR = @echo '    ' MKDIR $@;
 endif
 
+ifdef BIG_ENDIAN
+	ENDIAN_CFLAGS=-DWORDS_BIGENDIAN
+endif
+
 BINARY := bin/xmms2-scrobbler
-OBJECTS := src/xmms2-scrobbler.o src/queue.o src/strbuf.o src/md5.o \
+OBJECTS := src/xmms2-scrobbler.o \
+           src/list.o \
+           src/queue.o \
+           src/strbuf.o \
+           src/md5.o \
            src/submission.o
 
 all: $(BINARY)
@@ -29,7 +38,7 @@
 	$(QUIET_LINK)$(CC) $(LDFLAGS) $(XMMS_LDFLAGS) $(CURL_LDFLAGS) $(OBJECTS) -o $@
 
 src/%.o : src/%.c
-	$(QUIET_CC)$(CC) $(CFLAGS) $(XMMS_CFLAGS) $(CURL_CFLAGS) -o $@ -c $<
+	$(QUIET_CC)$(CC) $(CFLAGS) $(XMMS_CFLAGS) $(CURL_CFLAGS) $(ENDIAN_CFLAGS) -o $@ -c $<
 
 bin:
 	$(QUIET_MKDIR)mkdir bin
