=== debian/changelog ===
xmms2-scrobbler (0.4.0-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:40:19 +1100

xmms2-scrobbler (0.4.0-4build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:08:41 +0000

xmms2-scrobbler (0.4.0-4build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:55:46 +0000

xmms2-scrobbler (0.4.0-4) unstable; urgency=low

  * Switch to debhelper 9 and enable hardening.
  * Use current canonical URI for VCS-* fields.
  * Update machine-readable copyright file to version 1.0 of the specification.
  * Bump Standards-Version to 3.9.4 (no changes needed).

 -- Benjamin Drung <bdrung@debian.org>  Tue, 05 Mar 2013 00:56:54 +0100

xmms2-scrobbler (0.4.0-3) unstable; urgency=low

  * Change order of library parameter to gcc (LP: #852590).
  * Update debian/changelog to newer version of DEP-5.

 -- Benjamin Drung <bdrung@debian.org>  Sat, 17 Sep 2011 22:21:00 +0200

xmms2-scrobbler (0.4.0-2) unstable; urgency=low

  * Fix FTBFS with ld --as-needed. Thanks to Matthias Klose for the patch.
    (Closes: #641294, LP: #832821)
  * Fix FTBFS with binutils-gold. (Closes: #556713)
  * Update my email address.
  * Turn on verbose build by default.
  * Bump Standards-Version to 3.9.2 (no changes required).

 -- Benjamin Drung <bdrung@debian.org>  Tue, 13 Sep 2011 12:21:34 +0200

xmms2-scrobbler (0.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #566925).
    - Implemented support for "multi-scrobbling" (Closes: #523478).
  * Bump Standards-Version to 3.8.4, no changes required.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 03 Feb 2010 13:48:03 +0100

xmms2-scrobbler (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Wrote manual page for xmms2-scrobbler.
  * Allow uploads done by Debian Maintainers.
  * Use 3.0 (quilt) source format.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 16 Nov 2009 22:05:29 +0100

xmms2-scrobbler (0.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #531323, #540844; LP: #379067).
  * Add debian/watch file.
  * Remove Thomas Jollans <thomas@jollans.com> from uploaders and add myself.
  * Bump Standards-Version to 3.8.3.
  * Remove unneeded debian files.
  * Rewrite debian/rules from scratch using only debhelper v7.
  * Update Build-Depends and Depends.
  * Update debian/copyright to use the format described in DEP 5.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 20 Aug 2009 03:22:30 +0200

xmms2-scrobbler (0.2.2-1) unstable; urgency=low

  * New upstream release.
  * Don't ship AUTHORS file.

 -- Florian Ragwitz <rafl@debian.org>  Mon, 21 Apr 2008 08:45:49 +0200

xmms2-scrobbler (0.2.1-1) unstable; urgency=low

  * New upstream release.
    + Ignores stale lockfiles (Closes: #456577).
  * Install ChangeLog.
  * Add Anders Waldenborg <anders@0x63.nu> to Uploaders.
  * Add Vcs-{Git,Browser} and Homepage control fields.

 -- Florian Ragwitz <rafl@debian.org>  Fri, 18 Apr 2008 14:45:40 +0200

xmms2-scrobbler (0.2.0-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.7.3 (no changes).

 -- Florian Ragwitz <rafl@debian.org>  Sun, 30 Mar 2008 13:00:49 +0200

xmms2-scrobbler (0.1.3-1) unstable; urgency=low

  * New Upstream Version

 -- Thomas Jollans <thomas@jollans.com>  Thu, 28 Jun 2007 22:39:27 +0200

xmms2-scrobbler (0.1.2-1) unstable; urgency=low

  * Initial release.

 -- Florian Ragwitz <rafl@debian.org>  Mon, 13 Nov 2006 15:18:51 +0100
