=== debian/control ===
Source: xmms2-scrobbler
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Florian Ragwitz <rafl@debian.org>
Uploaders: Anders Waldenborg <anders@0x63.nu>,
           Benjamin Drung <bdrung@debian.org>
Build-Depends: debhelper (>= 9),
               libcurl4-openssl-dev,
               libxmmsclient-dev (>= 0.6DrMattDesctruction)
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-xmms2/xmms2-scrobbler
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xmms2/xmms2-scrobbler.git
Homepage: http://code-monkey.de/pages/xmms2-scrobbler

Package: xmms2-scrobbler
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xmms2-core
Description: Audioscrobbler/Last.FM client for XMMS2
 The scrobbler client sends information about the tracks you play with XMMS2 to
 the Last.FM service to build a profile of the type of music you listen to and
 find people that have similar tastes in music. For more information on
 AudioScrobbler see http://www.last.fm/
