=== debian/watch ===
version=3
ftp://ftp.code-monkey.de/pub/xmms2-scrobbler/xmms2-scrobbler-(.*)\.tar\.gz
